Subject: Re: [PATCH] cmd_reset: don't trash uncommitted changes unless told to

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Jun 2008 14:35:46 -0700

Theodore Tso <[email-masked]> writes:

> On Wed, Jun 25, 2008 at 01:50:06PM -0700, Junio C Hamano wrote:
>> I just replied to Avery about that.  -- is always the way to disambiguate
>> between refs (that come before --) and paths (that come after --), not
>> limited to "git checkout" but with other commands such as "git log", "git
>> diff", etc.
>
> Stupid quesiton --- where is this documented?  I don't see this
> documented either in the man page for git or git-checkout.

You are asking a wrong person.  My git knowledge mostly comes from
yearlong reading of the mailing list articles, and doing a bit myself also
helps ;-).